org.eclipse.net4j.util.om.pref

## Interface OMPreferencesChangeEvent<T>

- All Superinterfaces:
    IEvent

      public interface OMPreferencesChangeEvent<T>
      extends IEvent

  An `event` fired from a `preferences` object when a `preference` value has changed.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getNewValue()`
    `T` | `getOldValue()`
    `OMPreference<T>` | `getPreference()`
    `OMPreferences` | `getSource()`

- - ### Method Detail

    - #### getSource

          OMPreferences getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Since:
        3.0

    - #### getPreference

          OMPreference<T> getPreference()

    - #### getOldValue

          T getOldValue()

    - #### getNewValue

          T getNewValue()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html